﻿using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ToolbarManagerDisableDoubleClick
{
    public class MyMessageFilter : IMessageFilter
    {
        private const long WM_MOUSEDOUBLECLICK = 0x0203;
        public bool PreFilterMessage(ref Message m)
        {
            if (m.Msg == WM_MOUSEDOUBLECLICK)
            {
                Control ctrl = Control.FromHandle(m.HWnd) as Control;

                if (ctrl is UltraToolbarsDockArea)
                {
                    return true;
                }
            }
            return false;
        }
    }
}
